%define		module	Pyrex
Summary:	Language for writing Python Extension Modules
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona
Name:		python-%{module}
Version:	0.9.9
Release:	4
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/%{module}-%{version}.tar.gz
# Source0-md5:	515dee67d15d4393841e2d60e8341947
URL:		http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
%pyrequires_eq	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Pyrex lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python.

%description -l pl.UTF-8
Pyrex pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.

%package examples
Summary:	Examples for Pyrex language
Summary(pl.UTF-8):	Przykłady programów w języku Pyrex
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Pyrex language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Pyrex.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_install \
	--install-purelib=%{py_sitescriptdir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" -a ! -name 'Lexicon.py' -exec rm -f {} \;

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/pyrexc
%{py_sitescriptdir}/Pyrex
%{py_sitescriptdir}/Pyrex-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Pyrex.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> af80fb7
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ee60432
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bf5d2a6
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 193ef29
- automatic change: use py_build/py_install macros

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c4ed1ed
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 01 2011 Jakub Bogusz <qboosh@pld-linux.org> aa51168
- updated to 0.9.9

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 9535b21
- release 5

* Fri Jul 09 2010 Elan Ruusamäe <glen@pld-linux.org> 4583973
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 043872f
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> f03374f
- release 2

* Sun Oct 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b5c5b74
- up to 0.9.8.5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f6ab297
- release 2

* Fri Jan 04 2008 twittner <twittner@pld-linux.org> 4c4c00a
- up to 0.9.6.4

* Fri Apr 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 6214bec
- updated to 0.9.5.1a

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f4240a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 58b0a5c
- converted to UTF-8

* Tue Dec 05 2006 Patryk Zawadzki <patrys@room-303.com> afc7aed
- long story short:
- pyrex 0.9.4.1 does not work with python-2.5 (exceptions broken)
- python-dbus does not work (using session bus is not possible)
- this is the current SVN snapshot (2.5-compatible)
- someone needs to rebuild this pkg (I'm firewalled at work)
- we need to rebuild dbus bindings against this pyrex version
- possibly other packages too

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 87cb6d2
- rel. 5 to rebuild with python 2.5 (final)

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9a3caed
- cp -a implies cp -r

* Sun Aug 27 2006 havner <havner@pld-linux.org> 824dff5
- rebuild with 2.5
- rel 4

